File libnotify.changes of Package libnotify

-------------------------------------------------------------------
Mon Oct  4 12:18:16 CEST 2010 - vuntz@opensuse.org

- Update to version 0.6.0:
  + Fix crashes (bgo#623096, lp#570462).

-------------------------------------------------------------------
Thu Jul 22 10:45:21 CEST 2010 - vuntz@opensuse.org

- Create a tools subpackage, and move the notify-send utility
  there. The main libnotify package is not needed anymore, so make
  the tools subpackage provide/obsolete it.
- Move the notification-daemon Recommends to libnotify1, since it's
  where it really belongs.
- Remove libnotify Requires in libnotify1: it's not needed.
- Remove dbus-1-devel, dbus-1-glib-devel, glib2-devel, gtk2-devel
  Requires in devel package: they will automatically get added with
  pkgconfig() Requires.

-------------------------------------------------------------------
Fri Jul 16 16:55:31 CEST 2010 - dimstar@opensuse.org

- Update to version 0.5.1:
  + Remove explicit GTK+ 2.x linking, so that libnotify can link
    against both GTK+ 2.x or GTK+ 3.x
- Changes from version 0.5.0:
  + Support for version 1.1 of notification spec
  - bgo#608089: Applications aborted at finalizing when the dbus
    session is being closed.
  - bgo#608082: Arabic text is misplaced in bubbles (RTL)
  - bgo#608086: wrong return value of notify_init()
  - bgo#612720: Does not compile with -DGSEAL_ENABLE
  - bgo#613999: Use g_strcompress in notify-send to parse \n from
    command line
  - bgo#610880: lazily initialize the daemon.
- BuildRequire gtk3-devel instead of gtk2-devel.

-------------------------------------------------------------------
Fri Jun  4 17:55:48 CEST 2010 - vuntz@opensuse.org

- Make devel package depend on libnotify1, not libnotify.

-------------------------------------------------------------------
Tue Jan  5 17:09:14 CET 2010 - jengelh@medozas.de

- Package baselibs.conf

-------------------------------------------------------------------
Sun Apr 26 13:47:13 CEST 2009 - vuntz@novell.com

- Do not Require notification-daemon, but Recommend it: there's no
  reason to hard-require it.

-------------------------------------------------------------------
Sat Feb 28 01:20:48 CET 2009 - vuntz@novell.com

- Remove BuildRequires: gtk-doc, update-desktop-files.
- Remove dbus-1-x11 Requires: it's wrong (we don't require
  dbus-launch in any way: if the session bus is not there, having
  dbus-launch won't help). The requirement should be in another
  package.
- Merge doc package in devel, with adequate Provides/Obsoletes.

-------------------------------------------------------------------
Sat Jan 31 16:52:02 CET 2009 - vuntz@novell.com

- Remove la file.

-------------------------------------------------------------------
Sat Dec 20 11:30:04 EST 2008 - mboman@suse.de

- Update to version 0.4.5:
  + Added GObject property accessors for notification IDs
  + Added support for sending the closed reason in the "closed" signal
    handler.
  + Added support for sending the status icon XID to the notification
    daemon. This will allow better position tracking for context
    notifications.
  + Fixed a breakage where we were including gtkversion.h directly.
- Remove backport libnotify-svn3018.patch

-------------------------------------------------------------------
Tue Nov 11 16:54:22 CET 2008 - ro@suse.de

- SLE-11 uses PPC64 instead of PPC, adapt baselibs.conf 

-------------------------------------------------------------------
Tue Oct 28 02:49:12 CET 2008 - vuntz@novell.com

- Add libnotify-svn3018.patch, which contains a few fixes from
  upstream svn (no release since early 2007). The most important
  change is a change to be able to work nicely with notification
  icons.
- Spec clean up.

-------------------------------------------------------------------
Thu Apr 10 12:54:45 CEST 2008 - ro@suse.de

- added baselibs.conf file to build xxbit packages
  for multilib support

-------------------------------------------------------------------
Thu Oct  4 17:18:40 CEST 2007 - maw@suse.de

- s#%run_ldconfig#/sbin/ldconfig# in %post and %postun
- Split out a libnotify1 subpackage.

-------------------------------------------------------------------
Tue Mar  6 16:51:49 CET 2007 - sbrabec@suse.cz

- Updated to version version 0.4.4:
  * Bug fixes.
  * Fixed memory leaks.
  * notify_uninit is no longer called automatically at exit.
- License update (#236707).

-------------------------------------------------------------------
Tue Feb 20 12:51:41 CET 2007 - aj@suse.de

- Remove unneeded requires on popt.

-------------------------------------------------------------------
Wed Feb  7 12:27:30 CET 2007 - sbrabec@suse.cz

- Do not build unusable static libraries (#238552).

-------------------------------------------------------------------
Fri Dec  8 16:31:37 CET 2006 - sbrabec@suse.cz

- Prefix changed to /usr.
- Spec file cleanup.

-------------------------------------------------------------------
Mon Nov 27 19:27:48 CET 2006 - sbrabec@suse.cz

- Build correctly in older products.
- Fixed devel dependencies.

-------------------------------------------------------------------
Thu Aug 31 12:01:12 CEST 2006 - cschneemann@suse.de

- Updated to version 0.4.2 

-------------------------------------------------------------------
Tue Aug 15 01:27:53 CEST 2006 - ro@suse.de

- added dbus-1-glib-devel to BuildRequires 

-------------------------------------------------------------------
Thu May 11 16:53:50 CEST 2006 - rml@suse.de

- Require dbus-x11 too, because that provides dbus-launch, which
  is how we launch the session bus.  And libnotify needs the
  session bus (Novell bug #174865). 
- No need to rerun autogen; just run configure

-------------------------------------------------------------------
Wed Jan 25 21:32:24 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Mon Jan 23 16:24:14 CET 2006 - dobey@suse.de

- Updated to version 0.3.2

-------------------------------------------------------------------
Wed Jan 18 20:28:02 CET 2006 - sbrabec@suse.cz

- Updated to version 0.3.0.

-------------------------------------------------------------------
Tue Aug  2 17:32:08 CEST 2005 - rodrigo@suse.de

- Updated to 0.2.1. 

-------------------------------------------------------------------
Wed Jun 29 17:08:56 CEST 2005 - sbrabec@suse.cz

- New SuSE package, pre-0.0.1 version from actual svn snapshot.